<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [travelToCity](./bitburner.singularity.traveltocity.md)

## Singularity.travelToCity() method

Travel to another city.

**Signature:**

```typescript
travelToCity(city: CityName | `${CityName}`): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | City to travel to. |

**Returns:**

boolean

True if action is successful, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

This function allows the player to travel to any city. The cost for using this function is the same as the cost for traveling through the Travel Agency.

